For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • DELDelete Subscription
      • GETGet Subscriptions
      • POSTCreate Subscription
LogoLogo
API ReferenceWebhooks

Create Subscription

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2026-01/webhook
POST
/2026-01/webhook
$curl -X POST https://sandbox-api.shipbob.com/2026-01/webhook \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "topics": [
> "order.shipped"
> ],
> "url": "https://mywebsite.com/shipbob/handler",
> "description": "string",
> "secret": "string"
>}'
1{
2 "created_at": "2019-08-24T14:15:22+00:00",
3 "description": "string",
4 "id": "12345",
5 "secret": "string",
6 "topics": [
7 "order.shipped"
8 ],
9 "url": "string"
10}
This endpoint creates a new webhook subscription.
Was this page helpful?
Previous

Get Subscriptions

Next

Simulates Shipment

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

topicslist of enumsRequired
The event types for which webhook callbacks will be received.
urlstringRequiredformat: "uri"

The URL that will be called when an event matching the subscription topic occurs. The URL must use HTTPS, accept POST requests, and handle content of type application/json.

descriptionstringOptional
Description of the webhook subscription.
secretstringOptionalformat: "^whsec_[a-zA-Z0-9+/]{32}$"
A secret key used to sign the webhook payload for verifying its authenticity on the receiver's end.

Response

Success
created_atdatetime
TimeStamp the webhook subscription was created
descriptionstring
Description of the webhook subscription
idstring
ID of the webhook subscription
secretstringformat: "^whsec_[a-zA-Z0-9+/]{32}$"
A secret key used to sign the webhook payload for verifying its authenticity on the receiver's end.
topicslist of enums
List of event types the webhook will receive notifications for
urlstring
URL subscription events will be posted to

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error